{"openapi":"3.0.0","info":{"version":"1.0.0","title":"aasx-import-service","description":"API for importing data from AASX package files"},"components":{"schemas":{"ImportPackageResponse":{"type":"object","properties":{"handleId":{"type":"string","description":"ID for referencing the import job"}},"required":["handleId"]},"GetStatusResponse":{"type":"object","properties":{"state":{"description":"Execution state for the given handle","type":"string","enum":["Initiated","Running","Completed","Canceled","Failed","Timeout"]}},"required":["state"]}},"parameters":{"handleId":{"name":"handleId","in":"path","description":"Handle ID","required":true,"schema":{"type":"string"}}},"responses":{"Accepted":{"description":"The server has accepted the request.","headers":{"Location":{"description":"The URL where the client can find more information about the request.","schema":{"type":"string"}}}},"StatusResponse":{"description":"Information on pending operation state","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetStatusResponse"}}}},"Found":{"description":"The target resource is available but at a different location."},"BadRequest":{"description":"Bad Request, e.g. the request parameters of the format of the request body is wrong."},"Unauthorized":{"description":"Unauthorized, e.g. the server refused the authorization attempt."},"Forbidden":{"description":"Forbidden"},"InternalServerError":{"description":"Internal Server Error"}}},"paths":{"/packages/async/import":{"post":{"tags":["Async AASX Import"],"summary":"Imports data from an AASX package file","operationId":"ImportAASXPackage","requestBody":{"description":"AASX package","content":{"multipart/form-data":{"schema":{"type":"object","required":["file","fileName"],"properties":{"file":{"type":"string","format":"binary"},"fileName":{"type":"string"}}},"encoding":{"file":{"contentType":"application/asset-administration-shell-package"}}}},"required":true},"responses":{"202":{"description":"File uploaded successfully","headers":{"Location":{"description":"The URL where to find details about the state of the import.","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImportPackageResponse"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"500":{"$ref":"#/components/responses/InternalServerError"}}}},"/packages/async/import/{handleId}":{"delete":{"tags":["Async AASX Import"],"description":"Cancel AASX file import by Handle ID","operationId":"CancelAASXImport","parameters":[{"$ref":"#/components/parameters/handleId"}],"responses":{"202":{"$ref":"#/components/responses/Accepted"},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"description":"No Job found for ID"},"500":{"$ref":"#/components/responses/InternalServerError"}}}},"/packages/async/status/{handleId}":{"get":{"tags":["Async AASX Import Status"],"description":"Get current status of AASX file import by Handle ID","operationId":"GetAASXImportStatus","parameters":[{"$ref":"#/components/parameters/handleId"}],"responses":{"200":{"$ref":"#/components/responses/StatusResponse"},"302":{"$ref":"#/components/responses/Found"},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"description":"No Job found for ID"},"500":{"$ref":"#/components/responses/InternalServerError"}}}}}}